## wireshark-4.2.13.tar.xz

=== CMakeLists.txt ===
# CMakeLists.txt
#
# Wireshark - Network traffic analyzer
# By Gerald Combs <gerald@wireshark.org>
# Copyright 1998 Gerald Combs
#
# SPDX-License-Identifier: GPL-2.0-or-later
#
if(DEFINED ENV{FORCE_CMAKE_NINJA_NON_VERBOSE})
	#
	# Forcibly unset CMAKE_VERBOSE_MAKEFILE,
	# to make *CERTAIN* that we don't do
	# anything verbose here!
	#
	unset(CMAKE_VERBOSE_MAKEFILE CACHE)
endif()

# Needed for add_custom_command() WORKING_DIRECTORY generator expressions
cmake_minimum_required(VERSION 3.13)
if(POLICY CMP0083)
	cmake_policy(SET CMP0083 NEW)
endif()
if(POLICY CMP0092)
	cmake_policy(SET CMP0092 NEW)
endif()
if(POLICY CMP0135)
	cmake_policy(SET CMP0135 NEW)
endif()

if(WIN32 AND NOT DEFINED ENV{MSYSTEM})
	set(_project_name Wireshark)
	set(_log_project_name Logray)
else()
	set(_project_name wireshark)
	set(_log_project_name logray)
endif()

project(${_project_name} C CXX)

if(WIN32)
	set(_msystem False)
	set(_repository False)
	if(DEFINED ENV{MSYSTEM})
		set(_msystem $ENV{MSYSTEM})
		message(STATUS "Using MSYS2 with MSYSTEM=${_msystem}")
	elseif(MSVC)
		set(_repository True)
		message(STATUS "Using 3rd party repository")
	else()
		# Neither own package repository nor MSYS2 repository.
	endif()
	set(USE_MSYSTEM ${_msystem} CACHE INTERNAL "Use MSYS2 subsystem")
	set(HAVE_MSYSTEM ${USE_MSYSTEM}) # For config.h
	set(USE_REPOSITORY ${_repository} CACHE INTERNAL "Use Wireshark 3rd Party Repository")
endif()

# Updated by tools/make-version.py
set(PROJECT_MAJOR_VERSION 4)
set(PROJECT_MINOR_VERSION 2)
set(PROJECT_PATCH_VERSION 13)
set(PROJECT_BUILD_VERSION 0)
set(PROJECT_VERSION_EXTENSION "")

if(DEFINED ENV{WIRESHARK_VERSION_EXTRA})
	set(PROJECT_VERSION_EXTENSION "$ENV{WIRESHARK_VERSION_EXTRA}")
endif()

set(PROJECT_VERSION "${PROJECT_MAJOR_VERSION}.${PROJECT_MINOR_VERSION}.${PROJECT_PATCH_VERSION}${PROJECT_VERSION_EXTENSION}")

set(LOG_PROJECT_NAME ${_log_project_name})
set(LOG_PROJECT_MAJOR_VERSION 0)
set(LOG_PROJECT_MINOR_VERSION 8)
set(LOG_PROJECT_PATCH_VERSION 3)
set(LOG_PROJECT_VERSION "${LOG_PROJECT_MAJOR_VERSION}.${LOG_PROJECT_MINOR_VERSION}.${LOG_PROJECT_PATCH_VERSION}${PROJECT_VERSION_EXTENSION}")

include( CMakeOptions.txt )

# We require minimum C11
set(CMAKE_C_STANDARD 11)
set(CMAKE_C_STANDARD_REQUIRED ON)

# We require minimum C++11
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

message(STATUS "Generating build using CMake ${CMAKE_VERSION}")

if(USE_MSYSTEM)
	# Use the deprecated FindPythonInterp.cmake module to Work around bugs and odd behavior in MSYS2 CMake
	# searching in the wrong paths for python3.exe using FindPython3.cmake
	find_package(PythonInterp REQUIRED)
	set(Python3_EXECUTABLE ${PYTHON_EXECUTABLE} CACHE FILEPATH "")
else()
	find_package(Python3 3.6 REQUIRED)
endif()

# Strawberry is a web browser away from being its own operating system. Find
# Perl before finding anything else so that we can avoid building with any of
# of Strawberry's components.
find_package(Perl)
if(WIN32 AND PERL_EXECUTABLE)
	string(TOLOWER ${PERL_EXECUTABLE} lower_perl)
	if (${lower_perl} MATCHES "^.:/strawberry/")
		string(REGEX REPLACE "^(.:/[^/]+).*" "\\1" strawberry_prefix ${PERL_EXECUTABLE})
		# CMAKE_IGNORE_PREFIX_PATH must be an exact installation prefix.
		list(APPEND CMAKE_IGNORE_PREFIX_PATH "${strawberry_prefix}/c")
		message(STATUS "Added ${strawberry_prefix}/c to CMAKE_IGNORE_PREFIX_PATH")
		unset(lower_perl)
		unset(strawberry_prefix)
	endif()
endif()


# Set a default build type if none was specified
set(_default_build_type "RelWithDebInfo")
if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
	set(CMAKE_BUILD_TYPE "${_default_build_type}" CACHE STRING "Choose the type of build." FORCE)
	# Set the possible values of build type for cmake-gui
	set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS "Debug" "Release" "MinSizeRel" "RelWithDebInfo")
endif()

# Build type is ignored by multi-config generators.
if (NOT CMAKE_CONFIGURATION_TYPES)
	message(STATUS "Using \"${CMAKE_GENERATOR}\" generator and build type \"${CMAKE_BUILD_TYPE}\"")
else()
	message(STATUS "Using \"${CMAKE_GENERATOR}\" generator (multi-config)")
endif()

#Where to find local cmake scripts
set(WS_CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules)
set(CMAKE_MODULE_PATH ${WS_CMAKE_MODULE_PATH})

# CMake >= 3.9.0 supports LTO/IPO.
if (ENABLE_LTO)
	include(CheckIPOSupported)
	check_ipo_supported(RESULT lto_supported OUTPUT lto_output)
	if(lto_supported)
		set(CMAKE_INTERPROCEDURAL_OPTIMIZATION_RELEASE TRUE)
		message(STATUS "LTO/IPO is enabled for Release configuration")
	else()
		message(STATUS "LTO/IPO requested but it is not supported by the compiler: ${lto_output}")
	endif()
else()
	message(STATUS "LTO/IPO is not enabled")
endif()

# If our target platform is enforced by our generator, set
# WIRESHARK_TARGET_PLATFORM accordingly. Otherwise use
# %WIRESHARK_TARGET_PLATFORM%.

if(WIN32)
	if(DEFINED ENV{WIRESHARK_TARGET_PLATFORM})
		string(TOLOWER $ENV{WIRESHARK_TARGET_PLATFORM} _target_platform)
		set(WIRESHARK_TARGET_PLATFORM ${_target_platform})
	elseif(USE_MSYSTEM MATCHES "MINGW64|CLANG64|UCRT64")
		# https://www.msys2.org/docs/environments
		#    MSYS2 comes with different environments/subsystems and
		#    the first thing you have to decide is which one to use.
		#    The differences among the environments are mainly environment
		#    variables, default compilers/linkers, architecture,
		#    system libraries used etc. If you are unsure, go with UCRT64.
		set(WIRESHARK_TARGET_PLATFORM x64)
	elseif(USE_MSYSTEM)
		if($ENV{MSYSTEM_CARCH} MATCHES "x86_64")
			set(WIRESHARK_TARGET_PLATFORM x64)
		elseif($ENV{MSYSTEM_CARCH} MATCHES "i686")
			set(WIRESHARK_TARGET_PLATFORM win32)
		elseif($ENV{MSYSTEM_CARCH} MATCHES "aarch64")
			set(WIRESHARK_TARGET_PLATFORM "arm64")
		else()
			set(WIRESHARK_TARGET_PLATFORM "$ENV{MSYSTEM_CARCH}")
		endif()
	elseif($ENV{Platform} MATCHES arm64 OR CMAKE_GENERATOR_PLATFORM MATCHES arm64)
		set(WIRESHARK_TARGET_PLATFORM arm64)
	elseif(CMAKE_CL_64 OR CMAKE_GENERATOR MATCHES x64)
		set(WIRESHARK_TARGET_PLATFORM x64)
	else()
		message(WARNING "Assuming \"x64\" target platform")
		set(WIRESHARK_TARGET_PLATFORM x64)
	endif()

	if(WIRESHARK_TARGET_PLATFORM MATCHES "win32")
		message(FATAL_ERROR "Deprecated target platform ${WIRESHARK_TARGET_PLATFORM}. See https://gitlab.com/wireshark/wireshark/-/issues/17779 for details.")
	elseif(NOT (WIRESHARK_TARGET_PLATFORM MATCHES "x64" OR WIRESHARK_TARGET_PLATFORM MATCHES "arm64"))
		message(FATAL_ERROR "Invalid target platform: ${WIRESHARK_TARGET_PLATFORM}")
	endif()

	# Sanity check
	if(MSVC AND DEFINED ENV{PLATFORM})
		string(TOLOWER $ENV{PLATFORM} _vs_platform)
		if(
			(_vs_platform STREQUAL "x64" AND NOT WIRESHARK_TARGET_PLATFORM STREQUAL "x64")
			OR
			(_vs_platform STREQUAL "arm64" AND NOT WIRESHARK_TARGET_PLATFORM STREQUAL "arm64")
		)
			message(FATAL_ERROR "The PLATFORM environment variable (${_vs_platform})"
				" doesn't match the generator platform (${WIRESHARK_TARGET_PLATFORM})")
		endif()
	endif()

	message(STATUS
		"Building for ${WIRESHARK_TARGET_PLATFORM}"
	)

	if(NOT CMAKE_CROSSCOMPILING)
		find_package(PowerShell REQUIRED)
	endif()

	# Determine where the 3rd party libraries will be
	if(USE_REPOSITORY)
		if( DEFINED ENV{WIRESHARK_LIB_DIR} )
			# The buildbots set WIRESHARK_LIB_DIR but not WIRESHARK_BASE_DIR.
			file( TO_CMAKE_PATH "$ENV{WIRESHARK_LIB_DIR}" _PROJECT_LIB_DIR )
		elseif( DEFINED ENV{WIRESHARK_BASE_DIR} )
			file( TO_CMAKE_PATH "$ENV{WIRESHARK_BASE_DIR}" _WS_BASE_DIR )
			set( _PROJECT_LIB_DIR "${_WS_BASE_DIR}/wireshark-${WIRESHARK_TARGET_PLATFORM}-libs-4.2" )
		else()
			# Don't know what to do
			message(FATAL_ERROR "Neither WIRESHARK_BASE_DIR or WIRESHARK_LIB_DIR are defined")
		endif()

		# Download third-party libraries
		file (TO_NATIVE_PATH ${CMAKE_SOURCE_DIR}/tools/win-setup.ps1 _win_setup)
		file (TO_NATIVE_PATH ${_PROJECT_LIB_DIR} _ws_lib_dir)
		file (TO_NATIVE_PATH ${CMAKE_COMMAND} _win_cmake_command)

		# Is it possible to have a one-time, non-cached option in CMake? If
		# so, we could add a "-DFORCE_WIN_SETUP" which passes -Force to
		# win-setup.ps1.
		execute_process(
			COMMAND ${POWERSHELL_COMMAND} "\"${_win_setup}\"" -Destination "${_ws_lib_dir}" -Platform ${WIRESHARK_TARGET_PLATFORM} -CMakeExecutable "\"${_win_cmake_command}\""
			RESULT_VARIABLE _win_setup_failed
			ERROR_VARIABLE _win_setup_error_output
		)
		if(_win_setup_failed)
			message(FATAL_ERROR "Windows setup (win-setup.ps1) failed: ${_win_setup_error_output}.")
		endif()

		set(EXTRA_INSTALLER_DIR ${_ws_lib_dir})

		# XXX Add a dependency on ${_ws_lib_dir}/current_tag.txt?
	else()
		set(EXTRA_INSTALLER_DIR ${CMAKE_BINARY_DIR}/packaging/nsis)
	endif()

	include(FetchContent)
	set(LIBS_URL "https://dev-libs.wireshark.org/windows/packages")
	file(TO_CMAKE_PATH ${EXTRA_INSTALLER_DIR} _file_download_dir)

	# Download Npcap required by the Windows installer
	set(NPCAP_VERSION "1.78")
	set(NPCAP_SHA256 "deeb39ae22a44ea2698c4a58732e621bc45b84686a444c405491fef946898d90")
	set(NPCAP_FILENAME "npcap-${NPCAP_VERSION}.exe")
	set(NPCAP_URL "${LIBS_URL}/Npcap/${NPCAP_FILENAME}")
	FetchContent_Declare(Npcap
		URL ${NPCAP_URL}
		DOWNLOAD_DIR ${_file_download_dir}
		URL_HASH SHA256=${NPCAP_SHA256}
		DOWNLOAD_NO_EXTRACT True
	)

	# Download USBPcap required by the Windows installer
	set(USBPCAP_VERSION "1.5.4.0")
	set(USBPCAP_SHA256 "87a7edf9bbbcf07b5f4373d9a192a6770d2ff3add7aa1e276e82e38582ccb622")
	set(USBPCAP_FILENAME "USBPcapSetup-${USBPCAP_VERSION}.exe")
	set(USBPCAP_URL "${LIBS_URL}/USBPcap/${USBPCAP_FILENAME}")
	FetchContent_Declare(USBPcap
		URL ${USBPCAP_URL}
		DOWNLOAD_DIR ${_file_download_dir}
		URL_HASH SHA256=${USBPCAP_SHA256}
		DOWNLOAD_NO_EXTRACT True
	)
endif(WIN32)

include(UseCustomIncludes)
ADD_CUSTOM_CMAKE_INCLUDE()

# Ensure that all executables and libraries end up in the same directory. Actual
# files might end up in a configuration subdirectory, e.g. run/Debug or
# run/Release. We try to set DATAFILE_DIR to actual location below.
if(NOT ARCHIVE_OUTPUT_PATH)
	set(ARCHIVE_OUTPUT_PATH ${CMAKE_BINARY_DIR}/run CACHE INTERNAL
		   "Single output directory for building all archives.")
endif()
if(NOT EXECUTABLE_OUTPUT_PATH)
	set(EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR}/run CACHE INTERNAL
		   "Single output directory for building all executables.")
endif()
if(NOT LIBRARY_OUTPUT_PATH)
	set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/run CACHE INTERNAL
		   "Single output directory for building all libraries.")
endif()

#
# The release mode (CMAKE_BUILD_TYPE=release) defines NDEBUG for
# the Unix Makefile generator.
#

# Defines CMAKE_INSTALL_BINDIR, CMAKE_INSTALL_DATADIR, etc ...
if(WIN32 AND NOT USE_MSYSTEM)
	# Override some values on Windows, to match the existing
	# convention of installing everything to a single root folder.
	set(CMAKE_INSTALL_BINDIR ".")
	set(CMAKE_INSTALL_LIBDIR ".")
	set(CMAKE_INSTALL_INCLUDEDIR "include")
	set(CMAKE_INSTALL_DATADIR ".")
	set(CMAKE_INSTALL_DOCDIR ".")
else()
	# By default INSTALL_DATADIR is set to INSTALL_DATAROOTDIR, set the
	# proper value here.
	set(CMAKE_INSTALL_DATADIR "share/${PROJECT_NAME}"
		CACHE PATH "Read-only architecture-independent data"
	)
endif()
include(GNUInstallDirs)

set(PROJECT_INSTALL_INCLUDEDIR "${CMAKE_INSTALL_INCLUDEDIR}/${PROJECT_NAME}")

# Make sure our executables can load our libraries if we install into
# a non-default directory on Unix-like systems other than macOS.
# https://gitlab.kitware.com/cmake/community/wikis/doc/cmake/RPATH-handling
set(LIBRARY_INSTALL_RPATH "")
set(EXECUTABLE_INSTALL_RPATH "")
set(EXTCAP_INSTALL_RPATH "")
if(NOT (WIN32 OR APPLE OR USE_STATIC))
	# Try to set a RPATH for installed binaries if the library directory is
	# not already included in the default search list.
	list(FIND CMAKE_C_IMPLICIT_LINK_DIRECTORIES "${CMAKE_INSTALL_FULL_LIBDIR}" IS_SYSTEM_DIR)
	if(IS_SYSTEM_DIR EQUAL -1)
		# Some systems support $ORIGIN in RPATH to enable relocatable

=== epan/CMakeLists.txt ===
# CMakeLists.txt
#
# Wireshark - Network traffic analyzer
# By Gerald Combs <gerald@wireshark.org>
# Copyright 1998 Gerald Combs
#
# SPDX-License-Identifier: GPL-2.0-or-later
#

if (HAVE_HFI_SECTION_INIT)
	add_definitions(
		-DHAVE_HFI_SECTION_INIT
	)
endif()

add_definitions(
		${LIBXML2_DEFINITIONS}
		${KERBEROS_DEFINITIONS}
)

add_subdirectory(crypt)
add_subdirectory(dfilter)
add_subdirectory(dissectors)
add_subdirectory(ftypes)

if(LUA_FOUND)
	add_subdirectory(wslua)
endif()

add_custom_command(
	OUTPUT ps.c
	COMMAND ${Python3_EXECUTABLE}
		${CMAKE_SOURCE_DIR}/tools/rdps.py
		${CMAKE_CURRENT_SOURCE_DIR}/print.ps
		ps.c
	DEPENDS
		${CMAKE_SOURCE_DIR}/tools/rdps.py
		${CMAKE_CURRENT_SOURCE_DIR}/print.ps
)

set(LIBWIRESHARK_PUBLIC_HEADERS
	addr_and_mask.h
	addr_resolv.h
	address.h
	address_types.h
	afn.h
	aftypes.h
	app_mem_usage.h
	arcnet_pids.h
	arptypes.h
	asn1.h
	ax25_pids.h
	bridged_pids.h
	capture_dissectors.h
	charsets.h
	chdlctypes.h
	cisco_pid.h
	color_filters.h
	column.h
	column-info.h
	column-utils.h
	conversation.h
	conversation_debug.h
	conversation_table.h
	conv_id.h
	crc10-tvb.h
	crc16-tvb.h
	crc32-tvb.h
	crc6-tvb.h
	crc8-tvb.h
	decode_as.h
	diam_dict.h
	disabled_protos.h
	conversation_filter.h
	dccpservicecodes.h
	dtd.h
	dtd_parse.h
	dvb_chartbl.h
	eap.h
	eapol_keydes_types.h
	epan.h
	epan_dissect.h
	etypes.h
	ex-opt.h
	except.h
	exceptions.h
	expert.h
	export_object.h
	exported_pdu.h
	fifo_string_cache.h
	filter_expressions.h
	follow.h
	frame_data.h
	frame_data_sequence.h
	funnel.h
	#geoip_db.h
	golay.h
	guid-utils.h
	iana_charsets.h
	iax2_codec_type.h
	in_cksum.h
	introspection.h
	ip_opts.h
	ipproto.h
	ipv4.h
	ipv6.h
	lapd_sapi.h
	llcsaps.h
	maxmind_db.h
	media_params.h
	next_tvb.h
	nlpid.h
	oids.h
	osi-utils.h
	oui.h
	packet.h
	packet_info.h
	params.h
	pci-ids.h
	plugin_if.h
	ppptypes.h
	print.h
	print_stream.h
	prefs.h
	prefs-int.h
	proto.h
	proto_data.h
	ps.h
	ptvcursor.h
	range.h
	reassemble.h
	reedsolomon.h
	register.h
	req_resp_hdrs.h
	rtd_table.h
	rtp_pt.h
	sctpppids.h
	secrets.h
	show_exception.h
	slow_protocol_subtypes.h
	sminmpec.h
	srt_table.h
	stat_tap_ui.h
	stat_groups.h
	stats_tree.h
	stats_tree_priv.h
	stream.h
	strutil.h
	t35.h
	tap.h
	tap-voip.h
	timestamp.h
	timestats.h
	tfs.h
	to_str.h
	tvbparse.h
	tvbuff.h
	tvbuff-int.h
	uat.h
	uat-int.h
	unit_strings.h
	value_string.h
	wmem_scopes.h
	wscbor.h
	x264_prt_id.h
	xdlc.h
)

set(LIBWIRESHARK_HEADER_FILES
	${LIBWIRESHARK_PUBLIC_HEADERS}
)

set(LIBWIRESHARK_NONGENERATED_FILES
	addr_and_mask.c
	addr_resolv.c
	address_types.c
	afn.c
	aftypes.c
	app_mem_usage.c
	asn1.c
	capture_dissectors.c
	charsets.c
	color_filters.c
	column.c
	column-utils.c
	conversation.c
	conversation_table.c
	crc10-tvb.c
	crc16-tvb.c
	crc32-tvb.c
	crc6-tvb.c
	crc8-tvb.c
	decode_as.c
	disabled_protos.c
	conversation_filter.c
	dvb_chartbl.c
	enterprises.c
	epan.c
	ex-opt.c
	except.c
	expert.c
	export_object.c
	exported_pdu.c
	fifo_string_cache.c
	filter_expressions.c
	follow.c
	frame_data.c
	frame_data_sequence.c
	funnel.c
	#geoip_db.c
	golay.c
	guid-utils.c
	iana_charsets.c
	in_cksum.c
	introspection.c
	ipproto.c
	manuf.c
	maxmind_db.c
	media_params.c
	next_tvb.c
	oids.c
	osi-utils.c
	packet.c
	pci-ids.c
	plugin_if.c
	print.c
	print_stream.c
	prefs.c
	proto.c
	proto_data.c
	range.c
	reassemble.c
	reedsolomon.c
	register.c
	req_resp_hdrs.c
	rtd_table.c
	sctpppids.c
	secrets.c
	sequence_analysis.c
	services.c
	show_exception.c
	srt_table.c
	stat_tap_ui.c
	stats_tree.c
	strutil.c
	stream.c
	t35.c
	tap.c
	timestamp.c
	timestats.c
	tfs.c
	to_str.c
	tvbparse.c
	tvbuff.c
	tvbuff_base64.c
	tvbuff_brotli.c
	tvbuff_composite.c
	tvbuff_real.c
	tvbuff_subset.c
	tvbuff_zlib.c
	tvbuff_zstd.c
	tvbuff_lz77.c
	tvbuff_lz77huff.c
	tvbuff_lznt1.c
	tvbuff_rdp.c
	uat.c
	value_string.c
	wscbor.c
	unit_strings.c
	wmem_scopes.c
	xdlc.c
	protobuf-helper.c
	protobuf_lang_tree.c
	${CMAKE_CURRENT_BINARY_DIR}/ps.c
)

set(LIBWIRESHARK_FILES ${LIBWIRESHARK_NONGENERATED_FILES})

add_lex_files(LEX_FILES LIBWIRESHARK_FILES
	diam_dict.l
	dtd_parse.l
	dtd_preparse.l
	radius_dict.l
	uat_load.l
	protobuf_lang_scanner.l
)

add_lemon_files(LEMON_FILES LIBWIRESHARK_FILES
	dtd_grammar.lemon
	protobuf_lang_parser.lemon
)

set_source_files_properties(
	${LIBWIRESHARK_NONGENERATED_FILES}
	PROPERTIES
	COMPILE_FLAGS "${WERROR_COMMON_FLAGS}"
)

add_library(epan
	#Included so that Visual Studio can properly put header files in solution
	${LIBWIRESHARK_HEADER_FILES}

	${LIBWIRESHARK_FILES}
	$<TARGET_OBJECTS:crypt>
	$<TARGET_OBJECTS:dfilter>
	$<TARGET_OBJECTS:dissectors>
	$<TARGET_OBJECTS:dissectors-corba>
	$<TARGET_OBJECTS:dissector-registration>
	$<TARGET_OBJECTS:ftypes>
	$<$<BOOL:${LUA_FOUND}>:$<TARGET_OBJECTS:wslua>>
	${CMAKE_BINARY_DIR}/resources/libwireshark.rc
)

set_target_properties(epan PROPERTIES
	COMPILE_DEFINITIONS "WS_BUILD_DLL"
	LINK_FLAGS "${WS_LINK_FLAGS}"
	VERSION "17.0.13" SOVERSION 17
	INSTALL_RPATH "${LIBRARY_INSTALL_RPATH}"
	# By default the name for a library with target name epan will be libepan,
	# but Ethereal is now named Wireshark
	OUTPUT_NAME "wireshark"
	PREFIX "lib"
	FOLDER "DLLs"
)
if(MSVC)
	set_target_properties(epan PROPERTIES LINK_FLAGS_DEBUG "${WS_MSVC_DEBUG_LINK_FLAGS}")
endif()

target_link_libraries(epan
	PUBLIC
		wsutil
		${GLIB2_LIBRARIES}
	PRIVATE
		wiretap
		${BROTLI_LIBRARIES}
		${CARES_LIBRARIES}
		${GCRYPT_LIBRARIES}
		${GIO2_LIBRARIES}
		${GNUTLS_LIBRARIES}
		${KERBEROS_LIBRARIES}
		${LIBXML2_LIBRARIES}
		${LUA_LIBRARIES}
		${LZ4_LIBRARIES}
		${M_LIBRARIES}
		${NGHTTP2_LIBRARIES}
		${NGHTTP3_LIBRARIES}
		${SMI_LIBRARIES}
		${SNAPPY_LIBRARIES}
		${WIN_PSAPI_LIBRARY}
		${WIN_WS2_32_LIBRARY}
		${ZLIB_LIBRARIES}
		${ZSTD_LIBRARIES}
		$<$<BOOL:${LUA_FOUND}>:lrexlib>
)

target_include_directories(epan
	SYSTEM PUBLIC
		${GLIB2_INCLUDE_DIRS}
)

target_include_directories(epan
	INTERFACE
		$<BUILD_INTERFACE:${CMAKE_SOURCE_DIR}>
		$<INSTALL_INTERFACE:include/wireshark>
)

target_include_directories(epan
	SYSTEM PRIVATE
		${BROTLI_INCLUDE_DIRS}
		${CARES_INCLUDE_DIRS}
		${GCRYPT_INCLUDE_DIRS}
		${GLIB2_INCLUDE_DIRS}
		${GNUTLS_INCLUDE_DIRS}
		${LIBXML2_INCLUDE_DIRS}
		${LUA_INCLUDE_DIRS}
		${LZ4_INCLUDE_DIRS}
		${NGHTTP2_INCLUDE_DIRS}
		${NGHTTP3_INCLUDE_DIRS}
		${SMI_INCLUDE_DIRS}
		${ZLIB_INCLUDE_DIRS}
		${ZSTD_INCLUDE_DIRS}
	PRIVATE
		${CMAKE_CURRENT_BINARY_DIR}
		${CMAKE_CURRENT_SOURCE_DIR}
)

add_dependencies(epan lemon)

install(TARGETS epan
	EXPORT WiresharkTargets
	RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
	LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
	ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
)

install(FILES ${LIBWIRESHARK_PUBLIC_HEADERS}
	DESTINATION "${PROJECT_INSTALL_INCLUDEDIR}/epan"
	COMPONENT "Development"
	EXCLUDE_FROM_ALL
)

add_executable(exntest EXCLUDE_FROM_ALL exntest.c except.c)
target_link_libraries(exntest epan)
set_target_properties(exntest PROPERTIES
	FOLDER "Tests"
	EXCLUDE_FROM_DEFAULT_BUILD True
	COMPILE_DEFINITIONS "WS_BUILD_DLL"
	COMPILE_FLAGS "${WERROR_COMMON_FLAGS}"
)

add_executable(fifo_string_cache_test EXCLUDE_FROM_ALL fifo_string_cache_test.c)
target_link_libraries(fifo_string_cache_test epan)
set_target_properties(fifo_string_cache_test PROPERTIES
	FOLDER "Tests"
	EXCLUDE_FROM_DEFAULT_BUILD True
	COMPILE_DEFINITIONS "WS_BUILD_DLL"
	COMPILE_FLAGS "${WERROR_COMMON_FLAGS}"
)

add_executable(oids_test EXCLUDE_FROM_ALL oids_test.c)
target_link_libraries(oids_test epan)
set_target_properties(oids_test PROPERTIES
	FOLDER "Tests"
	EXCLUDE_FROM_DEFAULT_BUILD True
	COMPILE_DEFINITIONS "WS_BUILD_DLL"
	COMPILE_FLAGS "${WERROR_COMMON_FLAGS}"
)

add_executable(reassemble_test EXCLUDE_FROM_ALL reassemble_test.c)
target_link_libraries(reassemble_test epan)
set_target_properties(reassemble_test PROPERTIES
	FOLDER "Tests"
	EXCLUDE_FROM_DEFAULT_BUILD True
	COMPILE_FLAGS "${WERROR_COMMON_FLAGS}"
)

add_executable(tvbtest EXCLUDE_FROM_ALL tvbtest.c)
target_link_libraries(tvbtest epan)
set_target_properties(tvbtest PROPERTIES
	FOLDER "Tests"
	EXCLUDE_FROM_DEFAULT_BUILD True
	COMPILE_DEFINITIONS "WS_BUILD_DLL"
	COMPILE_FLAGS "${WERROR_COMMON_FLAGS}"
)

add_executable(wscbor_test EXCLUDE_FROM_ALL wscbor_test.c)
target_link_libraries(wscbor_test epan)
set_target_properties(wscbor_test PROPERTIES
    FOLDER "Tests"
    EXCLUDE_FROM_DEFAULT_BUILD True
    COMPILE_FLAGS "${WERROR_COMMON_FLAGS}"
)

add_executable(test_epan EXCLUDE_FROM_ALL test_epan.c)
target_link_libraries(test_epan epan)
set_target_properties(test_epan PROPERTIES
	FOLDER "Tests"
	EXCLUDE_FROM_DEFAULT_BUILD True
	COMPILE_FLAGS "${WERROR_COMMON_FLAGS}"
)

CHECKAPI(
	NAME
	  epan
	SWITCHES
	SOURCES
	  ${LIBWIRESHARK_NONGENERATED_FILES}
)

#
# Editor modelines  -  https://www.wireshark.org/tools/modelines.html
#
# Local variables:
# c-basic-offset: 8
# tab-width: 8
# indent-tabs-mode: t
# End:
#
# vi: set shiftwidth=8 tabstop=8 noexpandtab:
# :indentSize=8:tabSize=8:noTabs=false:
#

=== wiretap/CMakeLists.txt ===
# CMakeLists.txt
#
# Wireshark - Network traffic analyzer
# By Gerald Combs <gerald@wireshark.org>
# Copyright 1998 Gerald Combs
#
# SPDX-License-Identifier: GPL-2.0-or-later
#

set(WIRETAP_PUBLIC_HEADERS
	file_wrappers.h
	introspection.h
	merge.h
	pcap-encap.h
	pcapng_module.h
	secrets-types.h
	wtap.h
	wtap_modules.h
	wtap_opttypes.h
)

#
# Files that implement reading and possibly writing one or more
# file types.  (For cases where more than one source file is
# used, this should be the one that contains a registration routine.)
#
# This does not include libpcap.c and pcapng.c; those are listed below,
# and we don't scan them to see whether they have registration
# routines, we *require* them to have registration routines named
# register_pcap() and register_pcapng(), and directly call those routines.
#
set(WIRETAP_C_MODULE_FILES
	${CMAKE_CURRENT_SOURCE_DIR}/5views.c
	${CMAKE_CURRENT_SOURCE_DIR}/aethra.c
	${CMAKE_CURRENT_SOURCE_DIR}/ascendtext.c
	${CMAKE_CURRENT_SOURCE_DIR}/atm.c
	${CMAKE_CURRENT_SOURCE_DIR}/autosar_dlt.c
	${CMAKE_CURRENT_SOURCE_DIR}/ber.c
	${CMAKE_CURRENT_SOURCE_DIR}/blf.c
	${CMAKE_CURRENT_SOURCE_DIR}/btsnoop.c
	${CMAKE_CURRENT_SOURCE_DIR}/busmaster.c
	${CMAKE_CURRENT_SOURCE_DIR}/camins.c
	${CMAKE_CURRENT_SOURCE_DIR}/candump.c
	${CMAKE_CURRENT_SOURCE_DIR}/capsa.c
	${CMAKE_CURRENT_SOURCE_DIR}/catapult_dct2000.c
	${CMAKE_CURRENT_SOURCE_DIR}/commview.c
	${CMAKE_CURRENT_SOURCE_DIR}/cosine.c
	${CMAKE_CURRENT_SOURCE_DIR}/csids.c
	${CMAKE_CURRENT_SOURCE_DIR}/daintree-sna.c
	${CMAKE_CURRENT_SOURCE_DIR}/dbs-etherwatch.c
	${CMAKE_CURRENT_SOURCE_DIR}/dpa400.c
	${CMAKE_CURRENT_SOURCE_DIR}/dct3trace.c
	${CMAKE_CURRENT_SOURCE_DIR}/erf.c
	${CMAKE_CURRENT_SOURCE_DIR}/eri_enb_log.c
	${CMAKE_CURRENT_SOURCE_DIR}/eyesdn.c
	${CMAKE_CURRENT_SOURCE_DIR}/hcidump.c
	${CMAKE_CURRENT_SOURCE_DIR}/i4btrace.c
	${CMAKE_CURRENT_SOURCE_DIR}/ipfix.c
	${CMAKE_CURRENT_SOURCE_DIR}/iptrace.c
	${CMAKE_CURRENT_SOURCE_DIR}/iseries.c
	${CMAKE_CURRENT_SOURCE_DIR}/json.c
	${CMAKE_CURRENT_SOURCE_DIR}/k12.c
	${CMAKE_CURRENT_SOURCE_DIR}/lanalyzer.c
	${CMAKE_CURRENT_SOURCE_DIR}/log3gpp.c
	${CMAKE_CURRENT_SOURCE_DIR}/logcat.c
	${CMAKE_CURRENT_SOURCE_DIR}/logcat_text.c
	${CMAKE_CURRENT_SOURCE_DIR}/mp4.c
	${CMAKE_CURRENT_SOURCE_DIR}/mpeg.c
	${CMAKE_CURRENT_SOURCE_DIR}/mplog.c
	${CMAKE_CURRENT_SOURCE_DIR}/mime_file.c
	${CMAKE_CURRENT_SOURCE_DIR}/mp2t.c
	${CMAKE_CURRENT_SOURCE_DIR}/netmon.c
	${CMAKE_CURRENT_SOURCE_DIR}/netscaler.c
	${CMAKE_CURRENT_SOURCE_DIR}/netscreen.c
	${CMAKE_CURRENT_SOURCE_DIR}/nettl.c
	${CMAKE_CURRENT_SOURCE_DIR}/nettrace_3gpp_32_423.c
	${CMAKE_CURRENT_SOURCE_DIR}/netxray.c
	${CMAKE_CURRENT_SOURCE_DIR}/ngsniffer.c
	${CMAKE_CURRENT_SOURCE_DIR}/observer.c
	${CMAKE_CURRENT_SOURCE_DIR}/packetlogger.c
	${CMAKE_CURRENT_SOURCE_DIR}/pcap-common.c
	${CMAKE_CURRENT_SOURCE_DIR}/peekclassic.c
	${CMAKE_CURRENT_SOURCE_DIR}/peektagged.c
	${CMAKE_CURRENT_SOURCE_DIR}/pppdump.c
	${CMAKE_CURRENT_SOURCE_DIR}/radcom.c
	${CMAKE_CURRENT_SOURCE_DIR}/rfc7468.c
	${CMAKE_CURRENT_SOURCE_DIR}/rtpdump.c
	${CMAKE_CURRENT_SOURCE_DIR}/ruby_marshal.c
	${CMAKE_CURRENT_SOURCE_DIR}/snoop.c
	${CMAKE_CURRENT_SOURCE_DIR}/stanag4607.c
	${CMAKE_CURRENT_SOURCE_DIR}/systemd_journal.c
	${CMAKE_CURRENT_SOURCE_DIR}/tnef.c
	${CMAKE_CURRENT_SOURCE_DIR}/toshiba.c
	${CMAKE_CURRENT_SOURCE_DIR}/visual.c
	${CMAKE_CURRENT_SOURCE_DIR}/vms.c
	${CMAKE_CURRENT_SOURCE_DIR}/vwr.c
)

set(WIRETAP_LEX_MODULE_FILES
	${CMAKE_CURRENT_SOURCE_DIR}/k12text.l
)

#
# Files to scan for registration routines.
#
set(WIRETAP_MODULE_FILES
	${WIRETAP_C_MODULE_FILES}
	${WIRETAP_LEX_MODULE_FILES}
)

#
# C source files that aren't generated.
#
set(WIRETAP_NONGENERATED_C_FILES
	${WIRETAP_C_MODULE_FILES}
	${CMAKE_CURRENT_SOURCE_DIR}/pcapng.c
	${CMAKE_CURRENT_SOURCE_DIR}/introspection.c
	${CMAKE_CURRENT_SOURCE_DIR}/libpcap.c
	${CMAKE_CURRENT_SOURCE_DIR}/file_access.c
	${CMAKE_CURRENT_SOURCE_DIR}/file_wrappers.c
	${CMAKE_CURRENT_SOURCE_DIR}/merge.c
	${CMAKE_CURRENT_SOURCE_DIR}/wtap.c
	${CMAKE_CURRENT_SOURCE_DIR}/wtap_opttypes.c
)

#
# All C files to compile.
#
set(WIRETAP_FILES ${WIRETAP_NONGENERATED_C_FILES} wtap_modules.c)

add_lex_files(LEX_FILES WIRETAP_FILES
	${WIRETAP_LEX_MODULE_FILES}
	${CMAKE_CURRENT_SOURCE_DIR}/ascend_scanner.l
	${CMAKE_CURRENT_SOURCE_DIR}/busmaster_scanner.l
	${CMAKE_CURRENT_SOURCE_DIR}/candump_scanner.l
)

add_lemon_files(LEMON_FILES WIRETAP_FILES
	${CMAKE_CURRENT_SOURCE_DIR}/ascend_parser.lemon
	${CMAKE_CURRENT_SOURCE_DIR}/busmaster_parser.lemon
	${CMAKE_CURRENT_SOURCE_DIR}/candump_parser.lemon
)

#
# We pass the arguments to make-regs.py in a file to avoid limitations
# with the number of arguments handled by main().
#
file(GENERATE
	OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/wtap_modules.in.txt"
	CONTENT "$<JOIN:${WIRETAP_MODULE_FILES},\n>\n"
)
add_custom_command(
	OUTPUT wtap_modules.c
	COMMAND ${Python3_EXECUTABLE} ${CMAKE_SOURCE_DIR}/tools/make-regs.py wtap_modules wtap_modules.c @wtap_modules.in.txt
	DEPENDS ${CMAKE_SOURCE_DIR}/tools/make-regs.py ${WIRETAP_MODULE_FILES}
		"${CMAKE_CURRENT_BINARY_DIR}/wtap_modules.in.txt"
	COMMENT "Making wtap_modules.c"
)

#
# All files are warning-clean.  (Let's keep it that way.)
#
set_source_files_properties(
	${WIRETAP_NONGENERATED_C_FILES}
	PROPERTIES
	COMPILE_FLAGS "${WERROR_COMMON_FLAGS}"
)

add_library(wiretap
	${WIRETAP_FILES}
	${CMAKE_BINARY_DIR}/resources/libwiretap.rc
)

set_target_properties(wiretap PROPERTIES
	PREFIX "lib"
	COMPILE_DEFINITIONS "WS_BUILD_DLL"
	LINK_FLAGS "${WS_LINK_FLAGS}"
	VERSION "14.1.13" SOVERSION 14
	FOLDER "DLLs"
	INSTALL_RPATH "${LIBRARY_INSTALL_RPATH}"
)
if(MSVC)
	set_target_properties(wiretap PROPERTIES LINK_FLAGS_DEBUG "${WS_MSVC_DEBUG_LINK_FLAGS}")
endif()

target_link_libraries(wiretap
	PUBLIC
		wsutil
		${GLIB2_LIBRARIES}
	PRIVATE
		${ZLIB_LIBRARIES}
		${ZSTD_LIBRARIES}
		${LZ4_LIBRARIES}
)

target_include_directories(wiretap SYSTEM
	PRIVATE
		${ZLIB_INCLUDE_DIRS}
		${ZSTD_INCLUDE_DIRS}
		${LZ4_INCLUDE_DIRS}
)

target_include_directories(wiretap PUBLIC
	$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
)

install(TARGETS wiretap
	EXPORT WiresharkTargets
	RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
	LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
	ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
)

install(FILES ${WIRETAP_PUBLIC_HEADERS}
	DESTINATION "${PROJECT_INSTALL_INCLUDEDIR}/wiretap"
	COMPONENT "Development"
	EXCLUDE_FROM_ALL
)

CHECKAPI(
	NAME
	  wiretap
	SWITCHES
	SOURCES
	  ${WIRETAP_NONGENERATED_FILES}
# LEX files commented out due to use of malloc, free etc.
#	  ${LEX_FILES}
	  ${LEMON_FILES}
)

#
# Editor modelines  -  https://www.wireshark.org/tools/modelines.html
#
# Local variables:
# c-basic-offset: 8
# tab-width: 8
# indent-tabs-mode: t
# End:
#
# vi: set shiftwidth=8 tabstop=8 noexpandtab:
# :indentSize=8:tabSize=8:noTabs=false:
#

=== packaging/debian/changelog ===
wireshark (4.2.13) unstable; urgency=low

  * Self-made package

 -- Wireshark Self-made package <wireshark@example.com>  Mon, 17 Oct 2016 12:05:44 +0200

=== packaging/debian/control ===
Source: wireshark
Section: net
Priority: optional
Maintainer: Balint Reczey <rbalint@ubuntu.com>
Standards-Version: 3.9.8
Build-Depends:
 qtbase5-dev, qtbase5-dev-tools, qttools5-dev, qttools5-dev-tools,
 qtmultimedia5-dev,
 libpcap0.8-dev, flex, libz-dev, debhelper (>= 12), po-debconf,
 python3, python3-ply, libc-ares-dev, xsltproc, dh-python,
 docbook-xsl (>= 1.64.1.0-0), docbook-xml, libxml2-utils, libpcre2-dev,
 libcap2-dev [linux-any] | libcap-dev (>= 2.17) [linux-any], lsb-release,
 quilt, libparse-yapp-perl,
# libgnutls28-dev >= 3.2.14-1 is GPLv2+ compatible.
 libgnutls28-dev (>= 3.2.14-1~),
 libgcrypt-dev, libkrb5-dev, liblua5.2-dev, libsmi2-dev,
 libmaxminddb-dev, dpkg-dev (>= 1.16.1~), libsystemd-dev | libsystemd-journal-dev,
 libnl-genl-3-dev [linux-any], libnl-route-3-dev [linux-any], asciidoctor,
 cmake (>= 3.5) | cmake3, libsbc-dev, libnghttp2-dev, libnghttp3-dev,
 libssh-gcrypt-dev,
 liblz4-dev, libsnappy-dev, libzstd-dev, libspandsp-dev, libxml2-dev, libbrotli-dev,
 libspeexdsp-dev
Build-Conflicts: libsnmp4.2-dev, libsnmp-dev
Vcs-Git: https://salsa.debian.org/debian/wireshark -b debian/master
Vcs-Browser: https://salsa.debian.org/debian/wireshark.git
Homepage: https://www.wireshark.org/

Package: wireshark-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libwireshark17 (>= ${binary:Version}),
 libwiretap14 (>= ${binary:Version}), debconf, libcap2-bin [linux-any]
Recommends: wireshark (>= ${binary:Version}) | tshark (>= ${binary:Version})
Breaks: wireshark (<< 2.0.0~),
        wireshark-gtk (<< 3.0.0),
        wireshark-qt (<< 2.0.0~rc3+g841d5e1)
Replaces: wireshark (<< 2.0.0~),
        wireshark-qt (<< 2.0.0~rc3+g841d5e1)
Description: network traffic analyzer - common files
 Wireshark is a network "sniffer" - a tool that captures and analyzes
 packets off the wire. Wireshark can decode too many protocols to list
 here.
 .
 This package provides files common to both wireshark and tshark
 (the console version).

Package: wireshark
Architecture: any
Depends: wireshark-qt (= ${binary:Version}), ${misc:Depends}
Description: network traffic analyzer - meta-package
 Wireshark is a network "sniffer" - a tool that captures and analyzes
 packets off the wire. Wireshark can decode too many protocols to list
 here.
 .
 This is a meta-package for Wireshark.

Package: wireshark-qt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, wireshark-common (= ${binary:Version}),
 libqt5svg5
Recommends: libqt5multimedia5-plugins
Replaces: wireshark (<< 2.0.0~), wireshark-gtk (<< 3.0.0~)
Breaks: wireshark (<< 2.0.0~), wireshark-gtk (<< 3.0.0~)
Description: network traffic analyzer - Qt version
 Wireshark is a network "sniffer" - a tool that captures and analyzes
 packets off the wire. Wireshark can decode too many protocols to list
 here.
 .
 This package provides the Qt version of Wireshark.

Package: tshark
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, wireshark-common (= ${binary:Version})
Description: network traffic analyzer - console version
 Wireshark is a network "sniffer" - a tool that captures and analyzes
 packets off the wire. Wireshark can decode too many protocols to list
 here.
 .
 This package provides the console version of wireshark, named
 "tshark".

Package: wireshark-dev
Architecture: any
Section: devel
Depends: ${misc:Depends}, omniidl (>= 4.0.1-2), libpcap0.8-dev,
 libglib2.0-dev, python3:any, python3-ply, esnacc,
 libwireshark-dev, libwiretap-dev
Description: network traffic analyzer - development tools
 Wireshark is a network "sniffer" - a tool that captures and analyzes
 packets off the wire. Wireshark can decode too many protocols to list
 here.
 .
 This package provides idl2wrs and other files necessary for developing
 new packet dissectors.

Package: wireshark-dbg
Architecture: any
Section: debug
Depends: ${misc:Depends}, wireshark-common (= ${binary:Version}) | wireshark (= ${binary:Version}) | tshark (= ${binary:Version})
Description: network traffic analyzer - debug symbols
 Wireshark is a network "sniffer" - a tool that captures and analyzes
 packets off the wire. Wireshark can decode too many protocols to list
 here.
 .
 This package contains stripped debugging symbols for all Wireshark
 programs and libraries.

Package: wireshark-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: network traffic analyzer - documentation
 Wireshark is a network "sniffer" - a tool that captures and analyzes
 packets off the wire. Wireshark can decode too many protocols to list
 here.
 .
 This package contains Wireshark User's guide, Wireshark Developer's Guide
 and the Lua Reference.

Package: libwireshark17
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libwireshark-data (>= ${source:Version}),
 libwsutil15 (>= ${source:Version})
Suggests: wireshark-doc (>= ${source:Version})
Description: network packet dissection library -- shared library
 The libwireshark library provides the network packet dissection services
 developed by the Wireshark project.

Package: libwsutil15
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: network packet dissection utilities library -- shared library
 The libwsutil library provides utility functions for libwireshark17.

Package: libwsutil-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends} , libwsutil15 (= ${binary:Version})
Breaks: libwireshark-dev (<< 3.7.0~)
Replaces: libwireshark-dev (<< 3.7.0~)
Description: network packet dissection utilities library -- development files
 The libwsutil library provides utility functions for libwireshark6.
 .
 This package contains the static library and the C header files that are
 needed for applications to use the libwsutil library.

Package: libwireshark-data
Section: libs
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
#Recommends: geoip-database-contrib # Only includes legacy?
Suggests: snmp-mibs-downloader
Description: network packet dissection library -- data files
 The libwireshark library provides the network packet dissection services
 developed by the Wireshark project.
 .
 This package contains the platform independent files.

Package: libwireshark-dev
Section: libdevel
Depends: ${misc:Depends}, libwsutil-dev, libwiretap-dev,
 libwireshark17 (= ${binary:Version})
Architecture: any
Description: network packet dissection library -- development files
 The "libwireshark" library provides the network packet dissection services
 developed by the Wireshark project.
 .
 This package contains the static library and the C header files that are
 needed for applications to use libwireshark services.

Package: libwiretap14
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: network packet capture library -- shared library
 Wiretap, part of the Wireshark project, is a library that allows one to
 read and write several packet capture file formats.
 .
 Supported formats are:
  * Libpcap
  * Sniffer
  * LANalyzer
  * Network Monitor
  * "snoop"
  * "iptrace"
  * Sniffer Basic (NetXRay)/Windows Sniffer Pro
  * RADCOM WAN/LAN Analyzers
  * Lucent/Ascend access products
  * HP-UX nettl
  * Toshiba ISDN Router
  * ISDN4BSD "i4btrace" utility
  * Cisco Secure Intrusion Detection System iplogging facility
  * pppd logs (pppdump-format files)
  * VMS TCPTRACE
  * DBS Etherwatch (text format)
  * Catapult DCT2000 (.out files)
 .
 Wiretap's shortcomings are: no filter capability and no support for packet
 capture.

Package: libwiretap-dev
Section: libdevel
Depends: ${misc:Depends}, libwsutil-dev, libwiretap14 (= ${binary:Version})
Architecture: any
Description: network packet capture library -- development files
 Wiretap, part of the Wireshark project, is a library that allows one to
 read and write several packet capture file formats.
 .
 Supported formats are:
  * Libpcap
  * Sniffer
  * LANalyzer
  * Network Monitor
  * "snoop"
  * "iptrace"
  * Sniffer Basic (NetXRay)/Windows Sniffer Pro
  * RADCOM WAN/LAN Analyzers
  * Lucent/Ascend access products
  * HP-UX nettl
  * Toshiba ISDN Router
  * ISDN4BSD "i4btrace" utility
  * Cisco Secure Intrusion Detection System iplogging facility
  * pppd logs (pppdump-format files)
  * VMS TCPTRACE
  * DBS Etherwatch (text format)
  * Catapult DCT2000 (.out files)
 .
 Wiretap's shortcomings are: no filter capability and no support for packet
 capture.
 .
 This package contains the static library and the C header files.
